# Default values for myapp.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: nulllpointer1111/maven
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: "200823-ebba2ab"

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 8090

ingress:
  enabled: true
  annotations:
#     kubernetes.io/ingress.class: nginx
#     kubernetes.io/tls-acme: "true"
  hosts:
    - host: myapp.devops.com
      paths: [/]
  tls:
    - secretName: myapp-tls
      hosts:
        - myapp.devops.com
  rules:
    - host: myapp.devops.com
      http:
        paths:
          - path: /
            backend:
              serviceName: myapp
              servicePort: 8090
          - path: /bar
            backend:
              serviceName: myapp-mysql
              servicePort: 3306

resources:
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
   limits:
     cpu: 2
     memory: 1500Mi
   requests:
     cpu: 1
     memory: 1000Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 3
  targetCPUUtilizationPercentage: 90
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

initContainer:
  name: init-myapp-mysql
  image: busybox:1.28
  command: [ 'sh', '-c', "until nc -vz myapp-mysql 3306; do echo waiting for mysql; sleep 2; done" ]

#extraInitcontainers: |
#  - name: check-db
#    image: busybox
#    commmand: ['sh', '-c', 'until nc -vz db 3306; do echo waiting for db; sleep 20; done;']


livenessProbe:
  initialDelaySeconds: 150
  periodSeconds: 10
  timeoutSeconds: 50
  successThreshold: 1
  failureThreshold: 3

readinessProbe:
  initialDelaySeconds: 150
  periodSeconds: 10
  timeoutSeconds: 50
  successThreshold: 1
  failureThreshold: 3

affinity: {}

env:
  - name: "SPRING_DATASOURCE_USERNAME"
    value: "root"
  - name: "SPRING_DATASOURCE_PASSWORD"
    value: "P@ssw0rd"
  - name: "SPRING_DATASOURCE_URL"
    value: "jdbc:mysql://myapp-mysql:3306/assignment?allowPublicKeyRetrieval=true"